from termcolor import colored
import modules.siteName
import modules.scan
import modules.infoIp
import modules.infoPhone
import modules.request
import modules.OS
import modules.Change
import modules.air
import modules.scanmap

startnmap = modules.scanmap.scannmap
airged = modules.air.airstart
ChangeMac = modules.Change.mac
ChangeHostName = modules.Change.HostName
osComand = modules.OS.os
getIPaddr = modules.siteName.getIP
getServer = modules.siteName.getServerName
scanPort = modules.scan.scaner
scanList = modules.scan.list
infIP = modules.infoIp.whois
infPhone = modules.infoPhone.infPhone
req = modules.request.GetRequest

modulesList = r"""

            +-----------------------------------------+
            | [1] -- Get IP address.                  |
            | [2] -- Get Server Name.                 |
            | [3] -- Scan port                        |
            | [4] -- Scan the list of ports           |
            | [5] -- Whois                            |
            | [6] -- Info Phone                       |
            | [7] -- Request                          |
            | [8] -- os comand                        |
            | [9] -- change mac adres                 |
            | [10] -- chanege host name               |
            | [11] -- start airgeddon                 |
            | [12] -- start nmap                      |
            +-----------------------------------------+
"""
#=============================================================================================================================================
def setModule ():

    moduleNum = input(colored("Enter module num--> ", 'green'))

    if moduleNum == "1":

        try:
            domain = input (colored("[Enter domain]: ", 'green'))
            ipSite = getIPaddr(domain)

            print(colored("-" * 60,'yellow'))
            print(colored("[IP] == [{0}]".format(ipSite), 'green'))
            print(colored("-" * 60,'yellow'))

        except:
            print(colored("[Error]: Domain or ip not found!", 'red'))
#================================================================================================================================================
    elif moduleNum == "2":

        try:
            site = input (colored("[Enter domain]: ", 'green'))
            url = "http://" + site
            server = getServer(url)

            print(colored("-" * 60,'yellow'))
            print(colored("[Server] == [{0}]".format(server), 'green'))
            print(colored("-" * 60,'yellow'))

        except:
            print(colored("[Error]: Domain or server not found!", 'red'))
#================================================================================================================================================
    elif moduleNum == "3":

        try:
            host = (input(colored('Enter host ', 'green')))
            port = (input(colored('Enter port ', 'green')))

            openPort = scanPort(host, port)
            print(colored("-" * 60,'yellow'))
            print(colored(openPort,'red'))
            print(colored("-" * 60,'yellow'))

        except:
            print (colored( "[Error]", 'red'))
#================================================================================================================================================
    elif moduleNum == "4":

        try:
            host = (input(colored('Enter host ', 'green')))
            openPort = scanList(host)

            print(colored("-" * 60,'yellow'))
            print(colored("[Port] == " + str(openPort), 'green'))
            print(colored("-" * 60,'yellow'))

        except:
            print (colored( "[Error]", 'red'))
#================================================================================================================================================
    elif moduleNum == "5":

        try:
            getIP = input(colored("[+] Enter IP --> ","green"))
            info = infIP(getIP)
        except:
            print (colored( "[Error]", 'red'))
#================================================================================================================================================
    elif moduleNum == "6":

        try:
            phone = input(colored("Enter phone: ", 'green'))
            info =  infPhone(phone)

            print(colored("-" * 60,'yellow'))
            print(colored(info, 'green'))
            print(colored("-" * 60,'yellow'))

        except:
            print (colored( "[Error]", 'red'))
#================================================================================================================================================
    elif moduleNum == "7":

        try:
            qr = req()

            print(colored("-" * 60,'yellow'))
            print(colored(qr, 'green'))
            print(colored("-" * 60,'yellow'))

        except:
            print (colored( "[Error] -- host not found", 'red'))
#=============================================================================================================================================
    elif moduleNum == "8":
        try:
            cmd = input(colored("input comand: ", "yellow"))
            osComand(cmd)

        except:
            print (colored( "[Error] -- comand not found", 'red'))
#=============================================================================================================================================
    elif moduleNum == "9":
        try:

            interface = input(colored("input interface: ", "yellow"))
            ChangeMac(interface)

        except:
            print (colored( "[Error] -- interface not found", 'red'))
#=============================================================================================================================================
    elif moduleNum == "10":
        try:
            HostName = input(colored("new host name: ", "yellow"))
            ChangeHostName(HostName)

        except:
            print (colored( "[Error]", 'red'))
#=============================================================================================================================================
    elif moduleNum == "11":
        try:
            airged()

        except:
            print (colored( "[Error] -- airgeddon not found", 'red'))
#=============================================================================================================================================
    elif moduleNum == "12":
        try:
            startnmap()

        except:
            print (colored( "[Error] -- options not found", 'red'))
#=============================================================================================================================================
    else:
        print (colored( "[Error]: Module not found!", 'red'))
#=============================================================================================================================================
exit = 1
while exit != "0":
    print(colored(modulesList, 'yellow'))
    setModule()
    exit = input("if you want to exit, press 0")
