from termcolor import colored
import urllib.request, json, os

def whois(getIP):
    url = "https://ipinfo.io/" + getIP + "/json"

    try:
        getInfo = urllib.request.urlopen( url )
    except:
        return colored( "\n[!] - IP not found! - [!]\n", 'red')

    infoList = json.load(getInfo)

    try:
        myComand = "whois " + getIP
        whoisInfo = os.popen( myComand ).read()
    except:
        return colored( "\n [!] -- Error -- [!] \n", 'red')

    print( '\n' )
    print( colored("-" * 60, 'yellow'))
    print( "IP: ", infoList["ip"] )
    print( "City: ", infoList["city"] )
    print( "Region: ", infoList["region"] )
    print( "Country: ", infoList["country"] )
    print( "Loc: ", infoList["loc"] )
    print( "Org: ", infoList["org"] )
    print( colored("-" * 60, 'yellow'))
    print( '\n' )

    print( colored("-" * 60, 'yellow'))
    print( colored(whoisInfo, 'yellow' ))
    print( colored("-" * 60, 'yellow'))
