from termcolor import colored
import subprocess

def scannmap():
    print(colored(r"""
        *-------------------------------------*
        | [1] -- simple scan                  |
        | [2] -- scan all ports               |
        | [3] -- detailed scan of port 1      |
        | [4] -- detailed scan host           |
        | [5] -- ping scan                    |
        *-------------------------------------*
    """, "yellow"))

    option = input(colored("Enter option num--> ", 'green'))
    IP = input(colored("Enter IP or domain: ", "yellow"))

    if option == "1":
        subprocess.call("sudo nmap %s" % IP, shell=True)

    elif option == "2":
        port = input(colored("Enter range in the format 0-100: ", "yellow"))
        subprocess.call("sudo nmap -p %s %s" % (port, IP), shell=True)

    elif option == "3":
        port = input(colored("Enter port: ", "yellow"))
        subprocess.call("sudo nmap -p %s -sV %s" % (port, IP), shell=True)

    elif option == "4":
        subprocess.call("sudo nmap -A -O %s" % IP, shell=True)

    elif option == "5":
        subprocess.call("sudo nmap -sn %s" % IP, shell=True)
    else:
        print (colored( "[Error]: option not found!", 'red'))
